# Colors: get

> [!NOTE]
> **Note:** [Authorization](https://developers.google.com/workspace/calendar/api/v3/reference/colors/get#auth) optional.

Returns the color definitions for calendars and events.
[Try it now](https://developers.google.com/workspace/calendar/api/v3/reference/colors/get#try-it).

## Request

### HTTP request

```
GET https://www.googleapis.com/calendar/v3/colors
```

### Authorization

This request allows authorization with at least one of the following scopes:

| Scope |
|---|
| `https://www.googleapis.com/auth/calendar` |
| `https://www.googleapis.com/auth/calendar.readonly` |
| `https://www.googleapis.com/auth/calendar.app.created` |
| `https://www.googleapis.com/auth/calendar.calendarlist` |
| `https://www.googleapis.com/auth/calendar.calendarlist.readonly` |
| `https://www.googleapis.com/auth/calendar.events.freebusy` |
| `https://www.googleapis.com/auth/calendar.events.owned` |
| `https://www.googleapis.com/auth/calendar.events.owned.readonly` |
| `https://www.googleapis.com/auth/calendar.events.public.readonly` |

For more information, see the [authentication and authorization](https://developers.google.com/workspace/guides/configure-oauth-consent) page.

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns a [Colors resource](https://developers.google.com/workspace/calendar/api/v3/reference/colors#resource) in the response body.

## Try it!


Use the APIs Explorer below to call this method on live data and see the response.